Bug 108737 - [UPDATE] www/openacs to 5.3.0 and www/openacs-dotlrn to 2.2.1
Summary: [UPDATE] www/openacs to 5.3.0 and www/openacs-dotlrn to 2.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-04 00:50 UTC by Martin Matuska
Modified: 2007-02-09 04:10 UTC (History)
0 users

See Also:


Attachments
file.diff (31.18 KB, patch)
2007-02-04 00:50 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska 2007-02-04 00:50:19 UTC
This is a rewrite of the www/openacs and www/openacs-dotlrn port.
It is compatible to the new aolserver 4.5 port infrastructure.
Aldert has agreed to pass maintainership over these two ports to me as with aolserver.

Tested with portlint and tinderbox. 
Portlint does not handle the question mark "?" in distinfo correctly but the ports system does.

Tarballs of the ports are available here:
http://www.matuska.org/martin/freebsd/ports/patches/www_openacs.tar.gz
http://www.matuska.org/martin/freebsd/ports/patches/www_openacs-dotlrn.tar.gz

SVN tree:
http://www.matuska.org/martin/cgi/viewvc.cgi/ports/www/openacs/
http://www.matuska.org/martin/cgi/viewvc.cgi/ports/www/openacs-dotlrn/

Tinderbox logs:
http://tinderbox.vx.sk/logs/6.2-FreeBSD-amd64/openacs-5.3.0.log
http://tinderbox.vx.sk/logs/6.2-FreeBSD-amd64/dotlrn-2.2.1.log
Comment 1 Edwin Groothuis freebsd_committer 2007-02-04 00:50:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Aldert Nooitgedagt 2007-02-04 09:19:15 UTC
I agree to change maintainership.
I agree to the update www/openacs and www/openacs-dotlrn
Comment 3 Edwin Groothuis freebsd_committer 2007-02-04 10:05:34 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 4 Alejandro Pulver freebsd_committer 2007-02-05 17:12:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

I'll take it.
Comment 5 dfilter service freebsd_committer 2007-02-09 04:05:54 UTC
alepulver    2007-02-09 04:05:45 UTC

  FreeBSD ports repository

  Modified files:
    www/openacs          Makefile distinfo pkg-descr 
    www/openacs/files    pkg-deinstall.in pkg-install.in 
                         pkg-message.in 
    www/openacs-dotlrn   Makefile distinfo pkg-descr 
  Added files:
    www/openacs/files    create_sampledb.sh.in dotlrn.in 
                         openacs.in 
  Removed files:
    www/openacs/files    post-config.in svscan.sh 
  Log:
  - Update openacs to 5.3.0 and dotlrn to 2.2.1.
  - Make compatible with the new aolserver 4.5 port infrastructure.
  - Take maintainership.
  
  PR:             ports/108737
  Submitted by:   Martin Matuska <martin@matuska.org>
  Approved by:    "Aldert nooitgedagt - net" <aldert@nooitgedagt.net> (maintainer)
  
  Revision  Changes    Path
  1.4       +12 -4     ports/www/openacs-dotlrn/Makefile
  1.4       +3 -3      ports/www/openacs-dotlrn/distinfo
  1.2       +3 -0      ports/www/openacs-dotlrn/pkg-descr
  1.6       +74 -114   ports/www/openacs/Makefile
  1.4       +3 -3      ports/www/openacs/distinfo
  1.1       +45 -0     ports/www/openacs/files/create_sampledb.sh.in (new)
  1.1       +46 -0     ports/www/openacs/files/dotlrn.in (new)
  1.1       +46 -0     ports/www/openacs/files/openacs.in (new)
  1.3       +17 -20    ports/www/openacs/files/pkg-deinstall.in
  1.5       +26 -99    ports/www/openacs/files/pkg-install.in
  1.4       +16 -55    ports/www/openacs/files/pkg-message.in
  1.3       +0 -124    ports/www/openacs/files/post-config.in (dead)
  1.2       +0 -62     ports/www/openacs/files/svscan.sh (dead)
  1.2       +3 -0      ports/www/openacs/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Alejandro Pulver freebsd_committer 2007-02-09 04:06:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!